# Packmangroup: Multimedia
# Packmanpackagename: mplayerplug-in
# Packman: Rainer Lay
# Packmandepends: MPlayer

Name:           mplayerplug-in
Version:        2.70
Release:        2
#Packager:       Rainer <rainer@links2linux.de>
#Vendor:         suse
#Distribution:	SuSE Linux 9.1 (i586)

Source0:        mplayerplug-in-2.70.tar.bz2

BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

Copyright:      GPL
Group: 		Browser/Plugin
Summary: 	MPlayer Plugin for Netscape/Mozilla
Summary(de): 	MPlayer Plugin fuer Netscape/Mozilla
URL: 		http://mplayerplug-in.sourceforge.net/
Requires:	MPlayer
BuildRequires:	mozilla-devel

Requires:	XFree86-libs >= 4.3.99.902
Requires:	atk >= 1.4.1
Requires:	glib2 >= 2.2.3
Requires:	glibc >= 2.3.3
Requires:	gtk2 >= 2.2.4
Requires:	libgcc >= 3.3.3
Requires:	libstdc++ >= 3.3.3
Requires:	pango >= 1.2.5

%define config_dir /etc

%description
mplayerplug-in is a Netscape/Mozilla browser plugin to allow playing embedded movies on web pages.

Should work with Mozilla and MozillaFirefox

%description -l de
mplayerplug-in ist ein Netscape/Mozilla browser plugin, dass das Abspielen von eingebetteten 
Filmen erlaubt.

Sollte mit Mozilla und MozillaFirefox funktionieren.

%prep
%setup -qn %{name}

%build
export CFLAGS="-I/opt/mozilla/include"
%configure
make %{?jobs:-j%jobs}

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
mkdir -p %{buildroot}%_libdir/browser-plugins
mkdir -p %{buildroot}%{config_dir}
install -m755 mplayerplug-in.so %{buildroot}%_libdir/browser-plugins
install -m755 mplayerplug-in.types %buildroot%{config_dir}
install -m755 mplayerplug-in.conf %buildroot%{config_dir}

%postun
if [ -e /opt/mozilla/lib/plugins/mplayerplug-in.so ]; then rm -f /opt/mozilla/lib/plugins/mplayerplug-in.so; fi
if [ -e /opt/MozillaFirefox/lib/plugins/mplayerplug-in.so ]; then rm -f /opt/MozillaFirefox/lib/plugins/mplayerplug-in.so; fi
%post
if [ -d /opt/mozilla/lib/plugins ]; then ln -sf %_libdir/browser-plugins/mplayerplug-in.so /opt/mozilla/lib/plugins/mplayerplug-in.so; fi
if [ -d /opt/MozillaFirefox/lib/plugins ]; then ln -sf %_libdir/browser-plugins/mplayerplug-in.so /opt/MozillaFirefox/lib/plugins/mplayerplug-in.so; fi

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr (-,root,root)
%doc [A-LN-Z]*
%doc DOCS
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in.so
%{config_dir}/*

%changelog
* Tue Sep 28 2004 Rainer Lay <rainer@links2linux.de> <2.70>-<0.pm.1>
- enabled for MozillaFirefox

* Tue Nov 18 2003  <rainer@links2linux.de> <1.0pre2>
- adjusted mozilla plugin path

* Mon Nov 17 2003 Rainer Lay <rainer@links2linux.de> 2.70-0.pm.2
- added etc files
- added german desc

* Sun Jun 08 2003 Henne Vogelsang <henne@links2linux.de>
- First think then release! fixed post script
* Sun Jun 08 2003 Henne Vogelsang <henne@links2linux.de>
- Initial Package, Version 0.80
